Qt 5.9 | Qt Charts | C++ Classes | QSplineSeries

Qt 5.9.9 Reference Documentation

# QSplineSeries Class

The QSplineSeries class presents data as spline charts. More...

Header: | #include <QSplineSeries>
Instantiated By: | SplineSeries
Inherits: | QLineSeries

- List of all members, including inherited members

## Public Functions

| QSplineSeries(QObject *parent = Q_NULLPTR)
| ~QSplineSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const

- 1 public function inherited from QLineSeries
- 39 public functions inherited from QXYSeries
- 15 public functions inherited from QAbstractSeries

### Additional Inherited Members

- 7 properties inherited from QXYSeries
- 5 properties inherited from QAbstractSeries
- 17 signals inherited from QXYSeries
- 4 signals inherited from QAbstractSeries

## Detailed Description

The QSplineSeries class presents data as spline charts.

A spline series stores the data points and the segment control points needed by QPainterPath to draw a spline. The control points are automatically calculated when the data changes. The algorithm computes the points so that the normal spline can be drawn.

The following code snippet illustrates how to create a basic spline chart:

      QSplineSeries* series = new QSplineSeries();
      series->append(0, 6);
      series->append(2, 4);
      ...
      chart->addSeries(series);

## Member Function Documentation

### QSplineSeries::QSplineSeries(QObject *parent = Q_NULLPTR)

Constructs an empty series object that is a child of parent. When the series object is added to a QChart instance, the ownerships is transferred.

### QSplineSeries::~QSplineSeries()

Deletes the spline series.

### `[virtual]` QAbstractSeries::SeriesType QSplineSeries::type() const

Reimplemented from QAbstractSeries::type().